# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlSTL.hpp File Reference

`#include "vl/Geometry.hpp"`
`#include "vl/ResourceLoadWriter.hpp"`
`#include "vl/ResourceDatabase.hpp"`

## Classes

class | vl::LoadWriterSTL
| The LoadWriterSTL class is a ResourceLoadWriter capable of reading STL files. More...
class | vl::STLLoader
| Loads an STL file. More...

## Namespaces

namespace | vl
| Visualization Library namespace.

## Defines

#define | LoadSTL_INCLUDE_ONCE

## Functions

ref< ResourceDatabase > | vl::loadSTL (VirtualFile *file)
ref< ResourceDatabase > | vl::loadSTL (const String &path)

## Define Documentation

#define LoadSTL_INCLUDE_ONCE

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:30 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.